
From: Alexander Nyberg <alexn@telia.com>

Fix u32 vs. pm_message_t confusion in drivers/scsi/mesh.c.

Signed-off-by: Alexander Nyberg <alexn@telia.com>
Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/mesh.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/scsi/mesh.c~swsusp-switch-pm_message_t-to-struct-mesh-fixes-2 drivers/scsi/mesh.c
--- devel/drivers/scsi/mesh.c~swsusp-switch-pm_message_t-to-struct-mesh-fixes-2	2005-07-25 21:58:52.000000000 -0700
+++ devel-akpm/drivers/scsi/mesh.c	2005-07-25 21:58:52.000000000 -0700
@@ -1766,7 +1766,7 @@ static int mesh_suspend(struct macio_dev
 	struct mesh_state *ms = (struct mesh_state *)macio_get_drvdata(mdev);
 	unsigned long flags;
 
-	if (state == mdev->ofdev.dev.power.power_state || state < 2)
+	if (state.event == mdev->ofdev.dev.power.power_state.event || state.event < 2)
 		return 0;
 
 	scsi_block_requests(ms->host);
@@ -1791,7 +1791,7 @@ static int mesh_resume(struct macio_dev 
 	struct mesh_state *ms = (struct mesh_state *)macio_get_drvdata(mdev);
 	unsigned long flags;
 
-	if (mdev->ofdev.dev.power.power_state == 0)
+	if (mdev->ofdev.dev.power.power_state.event == PM_EVENT_ON)
 		return 0;
 
 	set_mesh_power(ms, 1);
@@ -1802,7 +1802,7 @@ static int mesh_resume(struct macio_dev 
 	enable_irq(ms->meshintr);
 	scsi_unblock_requests(ms->host);
 
-	mdev->ofdev.dev.power.power_state = 0;
+	mdev->ofdev.dev.power.power_state.event = PM_EVENT_ON;
 
 	return 0;
 }
_
